package com.armstrongconsulting.acprotasks;

import javax.swing.*;

import org.jetbrains.annotations.NotNull;

import com.intellij.tasks.TaskRepository;
import com.intellij.tasks.impl.BaseRepositoryType;

public class AcproRepositoryType extends BaseRepositoryType<AcproRepository>
{
    public static final String NAME = "AcproTasks";

    @Override
    public @NotNull String getName()
    {
        return NAME;
    }

    @Override
    public @NotNull Icon getIcon()
    {
        return new ImageIcon(getClass().getClassLoader().getResource("img/ac-logo-16.png"), "icon");
    }

    @Override
    public @NotNull TaskRepository createRepository()
    {
        return new AcproRepository(this);
    }

    @Override
    public Class<AcproRepository> getRepositoryClass()
    {
        return AcproRepository.class;
    }
}
